cascading.operation

## Interface GroupAssertionCall<C>

All Superinterfaces:
  OperationCall<C>

All Known Implementing Classes:
  ConcreteCall

    public interface GroupAssertionCall<C>
    extends OperationCall<C>

Interface GroupAssertionCall provides access to the current `GroupAssertion` invocation arguments.

This interface is generic, allowing the user to set a custom 'context' object when `GroupAssertion.start(cascading.flow.FlowProcess, GroupAssertionCall)` is called. The `OperationCall.setContext(Object)` and `OperationCall.getContext()` methods are inherited from `OperationCall`.

See Also:
  `GroupAssertion`, `OperationCall`

### Method Summary

Methods
`TupleEntry` `getArguments()` Returns `TupleEntry` of argument values.
`TupleEntry` `getGroup()` Returns the current grouping `TupleEntry`.

### Methods inherited from interface cascading.operation.OperationCall

`getArgumentFields, getContext, setContext`

### Method Detail

#### getGroup

    TupleEntry getGroup()

Returns the current grouping `TupleEntry`.

Returns:
  TupleEntry

#### getArguments

    TupleEntry getArguments()

Returns `TupleEntry` of argument values.

Note that the returned TupleEntry should not be cached (stored in a Collection), nor should the underlying Tuple instance. Where possible Cascading will re-use both TupleEntry and Tuple instances.

To get a safe copy that can be cached, use `TupleEntry.getTupleCopy()`.

Returns:
  TupleEntry